%define name gtk-vnc
%define version 0.3.10
%define release %mkrel 3
%define api 1.0
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name %api

Summary: A VNC viewer widget for GTK
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.3.10-1mdv fix plugin build (GIT)
Patch0: gtk-vnc-0.3.10-pluginbuild.patch
Patch1: gtk-vnc-0.3.10-new-xulrunner.patch
# Fedora patches
# Fix gcrypt threading initialization (rhbz #537489)
Patch101: gtk-vnc-0.3.10-gcrypt-threading.patch
# Drop VNC connection if the server sends a update spaning outside bounds
# of desktop (rhbz #540810, Mandriva bug #58981)
Patch102: gtk-vnc-0.3.10-bounds.patch


License: LGPLv2+
Group: System/Libraries
Url: http://gtk-vnc.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: libgnutls-devel
BuildRequires: pygtk2.0-devel
BuildRequires: xulrunner-devel
BuildRequires: libview-devel
BuildRequires: libsasl-devel
BuildRequires: intltool
Requires: %libname >= %version

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n %libname
Summary: A VNC viewer widget for GTK
Group: System/Libraries
Requires: gtk-vnc-common >= %{version}-%{release}

%description -n %libname
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package common
Summary: A VNC viewer widget for GTK
Group: System/Libraries

%description common
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

This package contains translations used by gtk-vnc

%package -n %develname
Summary: A VNC viewer widget for GTK
Group: Development/C
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: lib%name%api-devel = %version-%release

%description -n %develname
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n python-%name
Summary: A VNC viewer widget for Python/GTK
Group:Development/Python
Requires: %libname = %version-%release

%description -n python-%name
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n mozilla-gtk-vnc
Group: Networking/Remote access
Summary: A VNC viewer widget for Mozilla browsers
Requires: %libname >= %version

%description -n mozilla-gtk-vnc
gtk-vnc is a VNC viewer widget for GTK. This is a VNC viewer plugin
for Mozilla Firefox and other browsers based on gtk-vnc.

%prep
%setup -q
%patch0 -p1 -b .pluginbuild
%patch1 -p1
%patch101 -p1
%patch102 -p1 

%build
%configure2_5x --with-examples --enable-plugin
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/*.a %buildroot%py_platsitedir/*.*a %buildroot%_libdir/mozilla/plugins/gtk-vnc-plugin.*a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/gvncviewer

%files -n mozilla-gtk-vnc
%defattr(-,root,root)
%_libdir/mozilla/plugins/gtk-vnc-plugin.so

%files -n %libname
%defattr(-,root,root)
%doc README NEWS AUTHORS
%_libdir/libgtk-vnc-%{api}.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/pkgconfig/%name-%{api}.pc
%_includedir/gtk-vnc-%api

%files -n python-%name
%defattr(-,root,root)
%py_platsitedir/gtkvnc.so

%files common -f %{name}.lang
%defattr(-,root,root)


%changelog
* Thu Apr 29 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.10-3mdv2010.1
+ Revision: 540999
- Sync patches with Fedora:
  * Drop VNC connection if the server sends a update spaning outside
   bounds of desktop (rhbz #540810, Mandriva bug #58981)
  * Fix gcrypt threading initialization (rhbz #537489)

* Tue Jan 05 2010 Götz Waschk <waschk@mandriva.org> 0.3.10-2mdv2010.1
+ Revision: 486376
- fix build with new xulrunner

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.10-1mdv2010.0
+ Revision: 458934
- Fix BR
- Release 0.3.10
- Patch0 (GIT): fix build
- add source1: add missing header from xulrunner
- Put translation in a separate subpackage

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2010.0
+ Revision: 414886
- update build deps
- new version
- fix source URL
- drop patch

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure autoreconf installs new libtool files to avoid libtool 1.5/2.2 clashes

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 319858
- rebuild for new python

* Sun Dec 07 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 311659
- new version
- drop patches
- fix build

* Fri Nov 28 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-6mdv2009.1
+ Revision: 307364
- build with libview

* Thu Nov 27 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-5mdv2009.1
+ Revision: 307258
- fix build
- disable gtkglext again

* Fri Nov 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-4mdv2009.1
+ Revision: 305446
- build with gl

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.7-3mdv2009.1
+ Revision: 301535
- rebuilt against new libxcb

* Tue Nov 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.7-2mdv2009.1
+ Revision: 299919
- Sync with Fedora patches
  * Fix mouse pointer ungrabbing in virt-manager when using virtual
    machines running Windows
  * Fix keyboard scancode translation if using evdev driver
  * Avoid bogus framebuffer updates for psuedo-encodings

* Sun Sep 07 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 282150
- new version
- build with xulrunner

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 201799
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 192390
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 161915
- new version
- add example client and mozilla plugin

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.3.2-2mdv2008.1
+ Revision: 156409
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 139791
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 119413
- new version

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 118021
- new version

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 85475
- new version

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 84071
- Import gtk-vnc



* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.0
- initial package
